% %% video 1&2
% rekon3DView = rekon3DCalX;
% [ySamples,xSamples,zSamples] = size(rekon3DView);
% xCrop = 1:250;
% yCrop = 24:44;
% zCrop = 1:250;
% 
% % add in-plane frame
% cMax = max(rekon3DView(yCrop,xCrop,zCrop),[],'all');
% rekon3DView(:,xCrop(1:2),[zCrop(1:8),zCrop(end-7:end)]) = cMax/2;
% rekon3DView([yCrop(1:2),yCrop(end-1:end)],xCrop(1:2),:) = cMax/2;
% 
% % set coordinates
% Settings.acqDepth = [Settings.sampleDepth, Settings.sampleDepth*zSamples];
% xCordinate = (xCrop-1)*Settings.sampleDepth;
% zCordinate = (zCrop-1)*Settings.sampleDepth;
% yCordinate = (yCrop-1)*Settings.pitch;
% [x,y,z] = meshgrid(xCordinate, yCordinate, zCordinate);
% xslice = xCordinate;
% yslice = yCordinate;
% zslice = zCordinate;
% 
% % show image
% h = slice(x,y,z,rekon3DView(yCrop,xCrop,zCrop),xslice,yslice,zslice);
% set(h,'EdgeColor','none', 'FaceColor','interp', 'FaceAlpha','interp');
% % set(h,'EdgeColor','none');
% set(gca,'ZDir','reverse');
% set(gca,'YDir','reverse');
% xlabel('x [mm]');
% ylabel('y [mm]');
% zlabel('z [mm]');
% xlim([xCordinate(1) xCordinate(end)]);
% zlim([zCordinate(1) zCordinate(end)]);
% ylim([yCordinate(1) yCordinate(end)]);
% view([-90 0]);
% alpha('color')
% yticks([6 8 10]);
% zticks([2 6 10]);
% xticks([2 6 10]);
% alphamap('rampup')
% axis image
% colormap hot
% set(gca,'fontsize',28);
% v = VideoWriter([fp 'Video 2'],'Uncompressed AVI');
% v.FrameRate = 5;
% open(v);
% for iElevation=0:5:20
%     view([-90 iElevation]);
%     frame = getframe(gcf);
%     writeVideo(v,frame);
% end
% for iAzimuth=-90:10:270
%     view([iAzimuth iElevation]);
%     frame = getframe(gcf);
%     writeVideo(v,frame);
% end  
% frame = getframe(gcf);
% writeVideo(v,frame);
% close(v);

% %% video 3&4
% rekon3DView = rekon3DCalZ;
% [ySamples,xSamples,zSamples] = size(rekon3DView);
% xCrop = 1:170;
% yCrop = 24:44;
% zCrop = 1:170;
% 
% % add in-plane frame
% cMax = max(rekon3DView(yCrop,xCrop,zCrop),[],'all');
% rekon3DView(:,xCrop(1:2),[zCrop(1:8),zCrop(end-7:end)]) = cMax/2;
% rekon3DView([yCrop(1:2),yCrop(end-1:end)],xCrop(1:2),:) = cMax/2;
% 
% % set coordinates
% Settings.acqDepth = [Settings.sampleDepth, Settings.sampleDepth*zSamples];
% xCordinate = (xCrop-1)*Settings.sampleDepth;
% zCordinate = (zCrop-1)*Settings.sampleDepth;
% yCordinate = (yCrop-1)*Settings.pitch;
% [x,y,z] = meshgrid(xCordinate, yCordinate, zCordinate);
% xslice = xCordinate;
% yslice = yCordinate;
% zslice = zCordinate;
% 
% % show image
% h = slice(x,y,z,rekon3DView(yCrop,xCrop,zCrop),xslice,yslice,zslice);
% set(h,'EdgeColor','none', 'FaceColor','interp', 'FaceAlpha','interp');
% % set(h,'EdgeColor','none');
% set(gca,'ZDir','reverse');
% set(gca,'YDir','reverse');
% xlabel('x [mm]');
% ylabel('y [mm]');
% zlabel('z [mm]');
% xlim([xCordinate(1) xCordinate(end)]);
% zlim([zCordinate(1) zCordinate(end)]);
% ylim([yCordinate(1) yCordinate(end)]);
% view([-90 0]);
% alpha('color')
% yticks([6 8 10]);
% zticks([2 4 6 8]);
% xticks([2 4 6 8]);
% alphamap('rampup')
% axis image
% colormap hot
% set(gca,'fontsize',28);
% 
% % video
% v = VideoWriter([fp 'Video 3'],'Uncompressed AVI');
% v.FrameRate = 5;
% open(v);
% for iElevation=0:5:20
%     view([-90 iElevation]);
%     frame = getframe(gcf);
%     writeVideo(v,frame);
% end
% for iAzimuth=-90:10:270
%     view([iAzimuth iElevation]);
%     frame = getframe(gcf);
%     writeVideo(v,frame);
% end  
% frame = getframe(gcf);
% writeVideo(v,frame);
% close(v);

% %% video 5
% delay = Settings.delay*Settings.c;
% delaySamples = round(delay/Settings.sampleDepth);
% tempRekon = rekon4(:,1-delaySamples:end,:);
% v = VideoWriter([fp 'in vivo acquired images'],'Uncompressed AVI');
% v.FrameRate = 2;
% open(v);
% yCrop = 5:60;
% zCrop = 60:275;
% xAxis = yCrop*Settings.pitch;
% yAxis = zCrop*Settings.sampleDepth;
% for iFile=1:nFiles
%     imagesc(xAxis, yAxis, squeeze(tempRekon(iFile,zCrop,yCrop)));
%     axis image
%     xTicks = [4 8 12];
%     yTicks = [5 9 13];
%     xlim([xAxis(1) xAxis(end)]);
%     ylim([yAxis(1) yAxis(end)]);
%     xlabel('y [mm]');
%     ylabel('z [mm]');
%     set(gca,'fontsize',28);
%     title(['\Deltaz = ' num2str(displacement(iFile)) ' mm'],'FontSize',32);    
%     colormap hot
%     change_axis_tick_color(xAxis,yAxis,xTicks,yTicks,0.01,'white');
%     frame = getframe(gcf);
%     writeVideo(v,frame);
% end
% frame = getframe(gcf);
% writeVideo(v,frame);
% close(v);


% %% video 8, 9, 10 & 11
% rekon3DView = rekon3DCalX;
% [ySamples,xSamples,zSamples] = size(rekon3DView);
% xCrop = 1:85;
% yCrop = 29:39;
% zCrop = 65:125;
% 
% % add in-plane frame
% cMax = max(rekon3DView(yCrop,xCrop,zCrop),[],'all');
% rekon3DView(yCrop,xCrop(1:2),[zCrop(1:4),zCrop(end-3:end)]) = cMax/2;
% rekon3DView([yCrop(1),yCrop(end)],xCrop(1:2),zCrop) = cMax/2;
% 
% % set coordinates
% Settings.acqDepth = [Settings.sampleDepth, Settings.sampleDepth*zSamples];
% xCordinate = (xCrop-1)*Settings.sampleDepth;
% zCordinate = (zCrop-1)*Settings.sampleDepth;
% yCordinate = (yCrop-1)*Settings.pitch;
% [x,y,z] = meshgrid(xCordinate, yCordinate, zCordinate);
% xslice = xCordinate;
% yslice = yCordinate;
% zslice = zCordinate;
% 
% % show image
% h = slice(x,y,z,rekon3DView(yCrop,xCrop,zCrop),xslice,yslice,zslice);
% set(h,'EdgeColor','none', 'FaceColor','interp', 'FaceAlpha','interp');
% % set(h,'EdgeColor','none');
% set(gca,'ZDir','reverse');
% set(gca,'YDir','reverse');
% xlabel('x [mm]');
% ylabel('y [mm]');
% zlabel('z [mm]');
% xlim([xCordinate(1) xCordinate(end)]);
% zlim([zCordinate(1) zCordinate(end)]);
% ylim([yCordinate(1) yCordinate(end)]);
% view([-90 0]);
% alpha('color')
% yticks([7 8 9]);
% xticks([0 2 4]);
% zticks([4 5 6]);
% alphamap('rampup')
% axis image
% colormap hot
% set(gca,'fontsize',28);
% 
% % video
% v = VideoWriter([fp 'Video 11'],'Uncompressed AVI');
% v.FrameRate = 5;
% open(v);
% for iElevation=0:5:20
%     view([-90 iElevation]);
%     frame = getframe(gcf);
%     writeVideo(v,frame);
% end
% for iAzimuth=-90:10:270
%     view([iAzimuth iElevation]);
%     frame = getframe(gcf);
%     writeVideo(v,frame);
% end  
% frame = getframe(gcf);
% writeVideo(v,frame);
% close(v);